[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'DBGrids' (#lcl)

# TBookmarkList.Delete

Deletes rows in the Dataset represented by bookmarks in the list.

## Declaration

Source position: dbgrids.pas line 176

`public procedure TBookmarkList.Delete;`

## Description

Delete is a procedure used to delete rows in the Dataset represented by bookmarks in the list. Delete processes the Items in the list in reverse order. Each bookmark is located in the Dataset and the TDataset.Delete method is called to remove the data from the dataset. The Dataset.FreeBookmark method is called to free the Bookmark, and it is removed from the Items in the list.